multimedia/mpv - The NetBSD Packages Collection

Video player based on MPlayer and mplayer2

mpv is a movie player based on MPlayer and mplayer2. It supports
a wide variety of video file formats, audio and video codecs, and
subtitle types.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto lang/python38 lang/python38 pkgtools/cwrappers textproc/py-docutils devel/waf devel/waf devel/glib2-tools lang/perl5 devel/pkgconf

Runtime dependencies

multimedia/libbluray lang/lua52 devel/SDL2 graphics/MesaLib x11/liboldXrandr x11/liboldXrandr x11/libdrm x11/libXScrnSaver multimedia/libva multimedia/libvdpau x11/libXv graphics/lcms2 multimedia/libass multimedia/libdvdnav multimedia/ffmpeg4 graphics/hicolor-icon-theme sysutils/desktop-file-utils graphics/jpeg multimedia/libbluray devel/SDL2 graphics/MesaLib x11/liboldXrandr multimedia/libass multimedia/libdvdnav multimedia/ffmpeg4 graphics/hicolor-icon-theme sysutils/desktop-file-utils graphics/jpeg

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfmpv-0.33.0.tgz
NetBSD 8.0earmv7hfmpv-0.32.0nb16.tgz
NetBSD 8.0earmv7hfmpv-0.33.0nb3.tgz
NetBSD 8.0i386mpv-0.32.0nb16.tgz
NetBSD 8.0i386mpv-0.33.0.tgz
NetBSD 8.0i386mpv-0.33.0nb3.tgz
NetBSD 8.0powerpcmpv-0.32.0nb16.tgz
NetBSD 8.0powerpcmpv-0.33.0.tgz
NetBSD 8.0powerpcmpv-0.33.0nb2.tgz
NetBSD 8.0x86_64mpv-0.33.0nb3.tgz
NetBSD 8.0x86_64mpv-0.32.0nb16.tgz
NetBSD 8.0x86_64mpv-0.33.0.tgz
NetBSD 9.0aarch64mpv-0.33.1nb3.tgz
NetBSD 9.0aarch64mpv-0.32.0nb16.tgz
NetBSD 9.0aarch64mpv-0.33.0.tgz
NetBSD 9.0aarch64mpv-0.33.0nb3.tgz
NetBSD 9.0alphampv-0.33.0nb2.tgz
NetBSD 9.0alphampv-0.33.0nb3.tgz
NetBSD 9.0earmv6hfmpv-0.33.1nb3.tgz
NetBSD 9.0earmv6hfmpv-0.32.0nb16.tgz
NetBSD 9.0earmv6hfmpv-0.33.0.tgz
NetBSD 9.0earmv6hfmpv-0.33.0.tgz
NetBSD 9.0earmv6hfmpv-0.33.0nb3.tgz
NetBSD 9.0earmv7hfmpv-0.33.1nb3.tgz
NetBSD 9.0earmv7hfmpv-0.32.0nb16.tgz
NetBSD 9.0earmv7hfmpv-0.33.0.tgz
NetBSD 9.0earmv7hfmpv-0.33.0.tgz
NetBSD 9.0earmv7hfmpv-0.33.0nb2.tgz
NetBSD 9.0earmv7hfmpv-0.33.0nb3.tgz
NetBSD 9.0earmv7hfmpv-0.33.1nb3.tgz
NetBSD 9.0i386mpv-0.32.0nb16.tgz
NetBSD 9.0i386mpv-0.33.0.tgz
NetBSD 9.0i386mpv-0.33.0nb3.tgz
NetBSD 9.0i386mpv-0.33.1nb3.tgz
NetBSD 9.0mips64ebmpv-0.33.1nb3.tgz
NetBSD 9.0powerpcmpv-0.32.0nb16.tgz
NetBSD 9.0powerpcmpv-0.33.0.tgz
NetBSD 9.0powerpcmpv-0.33.0nb2.tgz
NetBSD 9.0sparc64mpv-0.33.1nb3.tgz
NetBSD 9.0sparc64mpv-0.33.0nb2.tgz
NetBSD 9.0sparc64mpv-0.33.0nb3.tgz
NetBSD 9.0sparcmpv-0.32.0nb16.tgz
NetBSD 9.0x86_64mpv-0.33.0nb1.tgz
NetBSD 9.0x86_64mpv-0.33.1nb3.tgz
NetBSD 9.0x86_64mpv-0.33.0nb2.tgz
NetBSD 9.0x86_64mpv-0.33.1nb3.tgz
NetBSD 9.0x86_64mpv-0.32.0nb16.tgz
NetBSD 9.0x86_64mpv-0.33.0.tgz
NetBSD 9.0x86_64mpv-0.33.0nb2.tgz
NetBSD 9.0x86_64mpv-0.33.0nb3.tgz
NetBSD 9.0x86_64mpv-0.33.1nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

alsa
Enable ALSA support.
bluray
Enable libbluray support.
caca
Enable libcaca support.
jack
Enable support for the JACK audio server.
libdrm
Enable libdrm support.
lua
Enable Lua support.
openal
Enable OpenAL support.
pulseaudio
Enable support for the PulseAudio sound server.
sdl2
Use SDL2 as the audio/display library.
vaapi
Enable support for VAAPI.
vdpau
Enable support for VDPAU.
x11
Enable X11 support.
opengl
Use OpenGL as display library.
rpi
Enable Raspberry Pi support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.